Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.regexeval
Class RegexEvalData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.regexeval.RegexEvalData

All Implemented Interfaces:
  StepDataInterface

    public class RegexEvalData

extends BaseStepData
implements StepDataInterface

Runtime data for the RegexEval step.

Since:
  27-03-2008
Author:
  Samatar Hassan, Daniel Einspanjer

Field Summary
`org.pentaho.di.core.row.RowMetaInterface` | `conversionRowMeta`
`int` | `indexOfFieldToEvaluate`
`int` | `indexOfFirstCaptureGroupField`
`int` | `indexOfMatchResultField`
`int` | `nrExtraFields`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`Pattern` | `pattern`
`org.pentaho.di.core.row.RowMetaInterface` | `previousRowMeta`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`RegexEvalData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### previousRowMeta

    public org.pentaho.di.core.row.RowMetaInterface previousRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### conversionRowMeta

    public org.pentaho.di.core.row.RowMetaInterface conversionRowMeta

### indexOfFieldToEvaluate

    public int indexOfFieldToEvaluate

### indexOfMatchResultField

    public int indexOfMatchResultField

### indexOfFirstCaptureGroupField

    public int indexOfFirstCaptureGroupField

### pattern

    public Pattern pattern

### nrExtraFields

    public int nrExtraFields

Constructor Detail

### RegexEvalData

    public RegexEvalData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD